## net.i2p.router.tunnel
Class InboundGatewayReceiver

    java.lang.Object
      net.i2p.router.tunnel.InboundGatewayReceiver

All Implemented Interfaces:
  TunnelGateway.Receiver

    public class InboundGatewayReceiver

extends Object
implements TunnelGateway.Receiver

Constructor Summary
`InboundGatewayReceiver(RouterContext ctx, HopConfig cfg)`

Method Summary
`long` `receiveEncrypted(byte[] encrypted)` Take the encrypted data and send it off to the next hop
`long` `receiveEncrypted(byte[] encrypted, boolean alreadySearched)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InboundGatewayReceiver

    public InboundGatewayReceiver(RouterContext ctx,
                                  HopConfig cfg)

Method Detail

### receiveEncrypted

    public long receiveEncrypted(byte[] encrypted)

  Description copied from interface: `TunnelGateway.Receiver`
  Take the encrypted data and send it off to the next hop

  Specified by:
    `receiveEncrypted` in interface `TunnelGateway.Receiver`
  Returns:
    message ID it was sent in, or -1 if it had to be deferred

### receiveEncrypted

    public long receiveEncrypted(byte[] encrypted,
                                 boolean alreadySearched)